let pushSelectId = "";

/****************************************************************************
 * 공지사항 정보 리스트 조회
 ****************************************************************************/
function fn_selectListMobilePushJson(){
    let formData = new FormData();

    $.ajax({
        url: encodeURI('/mobilepush/selectListPush.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: true,
        success: function(data){
            if('0'==data.msgCode){
                let listHTML = '';
                if(0<data.totalCount){
                    listHTML += fn_pushListHTML(data.rows);
                }else {
                    listHTML += '<div class="notify_box first">';
                    listHTML += '    <div class="text_box">';
                    listHTML += '        <p>알림이 없습니다</p>';
                    listHTML += '    </div>';
                    listHTML += '</div>';
                }

                $("#pushList").empty().html(listHTML).trigger("create");

            } else if (data.msgCode == '-1') {
                modalEvent.warning("조회 오류", data.msgDesc);
            } else {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시 시도하십시오.");
            }
        },
        error: function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){
        },
        complete:function(){

        }
    });
}

function fn_pushListHTML(param){
    let listHTML = '';

    for(let i=0; i<param.length; i++) {
        if(0==i){
            // 첫 번째 first
            listHTML += '<div class="notify_box first" onclick="fn_selectPushPopup(\''+param[i].muPushId+'\')">';
        }else{
            listHTML += '<div class="notify_box" onclick="fn_selectPushPopup(\''+param[i].muPushId+'\')">';
        }

        // 날짜별 푸시 리스트
        if(true == fn_emptyCheck(param[i-1])){
            if(param[i].sendDate == param[i-1].sendDate){

            }else{
                // 이전 데이터와 날짜가 같지 않으면
                listHTML += '    <p class="date">'+param[i].sendDate+'</p>';
            }
        }else{
            // 이전 데이터가 없으면
            listHTML += '    <p class="date">'+param[i].sendDate+'</p>';
        }
        if("N" == param[i].userCheckYn){
            // new : 새 알림에 new 넣어주기  ->  아이콘 옆에 빨간표시 때문
            listHTML += '    <div class="text_box new">';
        }else{
            listHTML += '    <div class="text_box">';
        }
        listHTML += '        <p class="label">'+param[i].title+'</p>';
        listHTML += '        <p>'+param[i].content+'</p>';
        listHTML += '        <p class="time">'+param[i].sendTime+'</p>';
        listHTML += '    </div>';
        listHTML += '</div>';
    }

    return listHTML;
}

function fn_selectPushPopup(param){
    let reqParam =  {
        "muPushId" : param
    };

    mobilePushSelectModal.popup(function(obj, reqParam) {
        fn_selectListMobilePushJson();
    }, reqParam);


}


/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){

    fn_selectListMobilePushJson();
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});